<?php
// $Id$

/**
 * @file
 * Implements the Custom_Solr_Query class, extending Solr_Base_Query and providing
 * extra functionality for our searches.
 */
include_once(drupal_get_path('module', 'apachesolr') .'/Solr_Base_Query.php');

class Custom_Solr_Query extends Solr_Base_Query {
  
  /**
   * Returns a default list of sorts.
   */
  protected function default_sorts() {
    // The array keys must always be real Solr index fields.
    $sorts = parent::default_sorts();
  
    $sorts['ss_feed_source'] = array('title' => t('Feed Source'), 'default' => 'asc');
    $sorts['ss_url'] = array('title' => t('Source URL'), 'default' => 'asc');
    
    return $sorts;
  }
}